SwordTrail2 = {}
SwordTrail2.__index = SwordTrail

function SwordTrail2.LoadAssets(me)
	LoadModel(me,"Square","Billboard","BlueCircle.png")
end

function SwordTrail2:Params(me)
	SetMaxSize(me,1500)
	EmitterStayAlive(me,true)
	
end

function SwordTrail2:Update(me)
	EmitterGlobalAlpha(me,GetOverSoul()/100)
	TrailLine(me, pBegin, 10,5)
end